Name:           tweak
Version:        3.02

Release:        9%{?dist}.rvre0
Summary:        An efficient hex editor
License:        MIT
URL:            http://www.chiark.greenend.org.uk/~sgtatham/tweak/

Source0:        http://www.chiark.greenend.org.uk/~sgtatham/tweak/tweak-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  ncurses-devel

%description
Tweak is a hex editor. It allows you to edit a file at very low level, letting
you see the full and exact binary contents of the file. It can be useful for
modifying binary files such as executables, editing disk or CD images,
debugging programs that generate binary file formats incorrectly, and many
other things.

%prep
%setup -q

%build

# Disable custom .c.o rule so we can use standard RPM macros instead
sed -i -e 's|^.c.o|.disabled.c.o|' Makefile

# Modify the location of filepaths to conform to Filesystem Hierarchy Standard
sed -i -e 's|^PREFIX=$(DESTDIR)/usr/local|PREFIX=$(DESTDIR)/usr|' Makefile
sed -i -e 's|^MANDIR=$(PREFIX)/man/man1|MANDIR=$(PREFIX)/share/man/man1|' Makefile

make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%files
%doc LICENCE
%doc btree.html
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Jul 30 2019 David Abdurachmanov <david.abdurachmanov@sifive.com> - 3.02-9.fc30.rvre0
- Rebuilt for Fedora RISCV, no changes

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.02-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.02-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jul 23 2018 Greg Bailey <gbailey@lxpro.com> 3.02-7
- Add missing BuildRequires: gcc

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.02-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.02-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Mar 23 2016 Greg Bailey <gbailey@lxpro.com> 3.02-1
- New version 3.02

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.01-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.01-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.01-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.01-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 16 2013 Greg Bailey <gbailey@lxpro.com> 3.01-2
- Use Source0 instead of Source in RPM spec

* Tue Mar 26 2013 Greg Bailey <gbailey@lxpro.com> 3.01-1
- Initial packaging for Fedora

